Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.fpga
Class tInterrupt

    java.lang.Object
      edu.wpi.first.wpilibj.fpga.tSystem
          edu.wpi.first.wpilibj.fpga.tInterrupt

All Implemented Interfaces:
  ExpectedFPGASignature

    public class tInterrupt

extends tSystem

Field Summary
`static int` | `kNumSystems`
`int` | `m_SystemIndex`

Fields inherited from class edu.wpi.first.wpilibj.fpga.tSystem
`m_DeviceHandle, status`

Fields inherited from interface edu.wpi.first.wpilibj.fpga.ExpectedFPGASignature
`kBitfileName, kExpectedFPGARevision, kExpectedFPGASignature, kExpectedFPGASignatureStr, kExpectedFPGAVersion`

Constructor Summary
`tInterrupt(int sys_index)`

Method Summary
`protected void` | `finalize()`
`int` | `getSystemIndex()`
`boolean` | `readConfig_FallingEdge()`
`boolean` | `readConfig_RisingEdge()`
`boolean` | `readConfig_Source_AnalogTrigger()`
`byte` | `readConfig_Source_Channel()`
`byte` | `readConfig_Source_Module()`
`boolean` | `readConfig_WaitForAck()`
`int` | `readConfig()`
`long` | `readTimeStamp()`
`void` | `writeConfig_FallingEdge(boolean value)`
`void` | `writeConfig_RisingEdge(boolean value)`
`void` | `writeConfig_Source_AnalogTrigger(boolean value)`
`void` | `writeConfig_Source_Channel(int value)`
`void` | `writeConfig_Source_Module(int value)`
`void` | `writeConfig_WaitForAck(boolean value)`
`void` | `writeConfig(int value)`

Methods inherited from class edu.wpi.first.wpilibj.fpga.tSystem
`getFpgaGuid, Release`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kNumSystems

    public static final int kNumSystems

See Also:
  Constant Field Values

### m_SystemIndex

    public final int m_SystemIndex

Constructor Detail

### tInterrupt

    public tInterrupt(int sys_index)

Method Detail

### finalize

    protected void finalize()

  Overrides:
    `finalize` in class `tSystem`

### getSystemIndex

    public int getSystemIndex()

### readTimeStamp

    public long readTimeStamp()

### writeConfig

    public void writeConfig(int value)

### writeConfig_Source_Channel

    public void writeConfig_Source_Channel(int value)

### writeConfig_Source_Module

    public void writeConfig_Source_Module(int value)

### writeConfig_Source_AnalogTrigger

    public void writeConfig_Source_AnalogTrigger(boolean value)

### writeConfig_RisingEdge

    public void writeConfig_RisingEdge(boolean value)

### writeConfig_FallingEdge

    public void writeConfig_FallingEdge(boolean value)

### writeConfig_WaitForAck

    public void writeConfig_WaitForAck(boolean value)

### readConfig

    public int readConfig()

### readConfig_Source_Channel

    public byte readConfig_Source_Channel()

### readConfig_Source_Module

    public byte readConfig_Source_Module()

### readConfig_Source_AnalogTrigger

    public boolean readConfig_Source_AnalogTrigger()

### readConfig_RisingEdge

    public boolean readConfig_RisingEdge()

### readConfig_FallingEdge

    public boolean readConfig_FallingEdge()

### readConfig_WaitForAck

    public boolean readConfig_WaitForAck()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"